%define name routeplanner
%define version 0.19
%define release %mkrel 1

Summary:        RoutePlanner is a highway trip planning program
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Graphical desktop/GNOME
License:        GPL
URL:            http://sourceforge.net/projects/routeplanner/
Source:         http://mirror.ne.gov/ubuntu/pool/universe/r/routeplanner/%{name}_%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:       python
Requires:       python-PQueue
BuildArch:      noarch
Obsoletes: %name < %version


%description
CLI for RoutePlanner.
RoutePlanner is a highway trip planning program, similar to programs like Rand McNally's "TripMaker." 
It allows you to plan road trips between two or more destinations, using various interchangeable map 
files (or databases).

%package -n %{name}-gnome
Summary: GNOME gui frontend for RoutePlanner.
Group:	 Graphical desktop/GNOME
Requires: %{name} 
Requires:  python 
Requires: gnome-python
Requires: pygtk2.0-libglade
Requires: pygtk2.0


%description -n %{name}-gnome
RoutePlanner is a highway trip planning program, similar to programs like Rand McNally's "TripMaker." 
It allows you to plan road trips between two or more destinations, using various interchangeable map 
files (or databases).


%prep
%setup -q -n %name 


%build


%install
rm -rf %{buildroot}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -R rpcli rplan grplan gredit $RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 *.glade2 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 *.py $RPM_BUILD_ROOT%{_datadir}/%{name}
bzip2 *.rpl3 && cp -R *.rpl3.bz2 $RPM_BUILD_ROOT%{_datadir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/man/man1
cp -R *.1 $RPM_BUILD_ROOT%{_datadir}/man/man1


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=RoutePlanner
Comment=Route planner
Exec=grplan
Terminal=false
Icon=/usr/share/icons/large/more_applications_other_section.png
Type=Application
Categories=GNOME;GTK;Utility;X-MandrivaLinux-MoreApplications-Other;
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}-editor.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=RoutePlanner - editor
Comment=Route editor
Exec=gredit
Terminal=false
Icon=/usr/share/icons/large/more_applications_other_section.png
Type=Application
Categories=GNOME;GTK;Utility;X-MandrivaLinux-MoreApplications-Other;
EOF



%clean
rm -rf %{buildroot}

%post -n %{name}-gnome
%update_menus


%postun -n %{name}-gnome
%clean_menus


%files 
%defattr(-,root,root,-)
%doc README TODO faq.html LICENSE
%{_bindir}/rpcli
%{_bindir}/rplan
%{_datadir}/%{name}/Basic-USA.rpl3.bz2
%{_datadir}/%{name}/NorthAmerica.rpl3.bz2
%{_datadir}/%{name}/rpcity.py
%{_datadir}/%{name}/rpcitylist.py
%{_datadir}/%{name}/rpcli.py
%{_datadir}/%{name}/rpcountry.py
%{_datadir}/%{name}/rpdbase.py
%{_datadir}/%{name}/rpnewt.py
%{_datadir}/%{name}/rpprogress.py
%{_datadir}/%{name}/rproute.py
%{_datadir}/%{name}/rpunits.py
%{_datadir}/%{name}/pq3.py
%{_mandir}/man1/rplan.1.bz2

%files -n %{name}-gnome
%defattr(-,root,root,-)
%doc README faq.html LICENSE
%{_bindir}/grplan
%{_bindir}/gredit
%{_datadir}/%{name}/gredit.py
%{_datadir}/%{name}/routeedit.glade2
%{_datadir}/%{name}/routeplanner.glade2
%{_datadir}/%{name}/rpgnome.py
%{_datadir}/applications/*.desktop
%{_mandir}/man1/gredit.1.bz2


%changelog
* Wed Feb 17 2010 slick50 <lxgator@gmail.com> 0.19-1pclos2010
- initial build
